For the complete documentation index, see llms.txt. This page is also available as Markdown.

Till

Till

List tills

get
/tenants/{tenantUid}/stores/{storeUid}/tills

Lists all tills.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/tills
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "cashDrawer": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastOrderUid": "text",
      "lastOrderNumber": "text",
      "name": "text",
      "paymentTerminal": "NONE",
      "settings": [
        {
          "key": "STRIPE_TERMINAL_ID",
          "value": "text"
        }
      ],
      "tillUid": "text",
      "tillNumber": 1,
      "device": {
        "deviceUid": "text",
        "identifier": "text",
        "name": "text"
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new till

post
/tenants/{tenantUid}/stores/{storeUid}/tills

Creates a new till.

Required permissions: TILL

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new till

barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringOptional
namestringRequired
paymentTerminalstring · enumOptionalPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillNumberintegerRequired
tillUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringRequired
createdAtstring · date-timeRequired
deviceIdentifierstring · nullableOptionalDeprecated
lastModifiedAtstring · date-timeRequired
lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastOrderNumberstringRequired
namestringRequired
paymentTerminalstring · enumRequiredPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillNumberintegerRequired
post/tenants/{tenantUid}/stores/{storeUid}/tills
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "cashDrawer": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillNumber": 1,
  "tillUid": "text"
}
200

Example response

{
  "cashDrawer": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastOrderUid": "text",
  "lastOrderNumber": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillUid": "text",
  "tillNumber": 1,
  "device": {
    "deviceUid": "text",
    "identifier": "text",
    "name": "text"
  }
}

Get till details

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}

Get details for a till.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringRequired
createdAtstring · date-timeRequired
deviceIdentifierstring · nullableOptionalDeprecated
lastModifiedAtstring · date-timeRequired
lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastOrderNumberstringRequired
namestringRequired
paymentTerminalstring · enumRequiredPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillNumberintegerRequired
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "cashDrawer": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastOrderUid": "text",
  "lastOrderNumber": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillUid": "text",
  "tillNumber": 1,
  "device": {
    "deviceUid": "text",
    "identifier": "text",
    "name": "text"
  }
}

Update till details

put
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}

Updates details for a till.

Required permissions: TILL

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Update till

barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringOptional
namestringOptional
paymentTerminalstring · enumOptionalPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillNumberintegerOptional
Responses
200

Example response

application/json
barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringRequired
createdAtstring · date-timeRequired
deviceIdentifierstring · nullableOptionalDeprecated
lastModifiedAtstring · date-timeRequired
lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastOrderNumberstringRequired
namestringRequired
paymentTerminalstring · enumRequiredPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillNumberintegerRequired
put/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "cashDrawer": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillNumber": 1
}
200

Example response

{
  "cashDrawer": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastOrderUid": "text",
  "lastOrderNumber": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillUid": "text",
  "tillNumber": 1,
  "device": {
    "deviceUid": "text",
    "identifier": "text",
    "name": "text"
  }
}

Delete a till

delete
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}

Deletes a till.

Required permissions: TILL

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Get cashdrawer status for a till

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer

Get cashdrawer status for the cashdrawer connect to the current till

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
statusstring · enumRequiredPossible values:
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "OPEN"
}

Open cashdrawer

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer

Open the cashdrawer for the current till

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List all cash control reports

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports

Get a cash report

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
sortBystringOptional

Defines which field the resource list is sorted by.

cashreportFromDatestring · dateOptional

Reference to a from-date.

cashreportToDatestring · dateOptional

Reference to a to-date.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get a specific cash report

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}

Get cash control details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
cashreportUidstringRequired

Reference to a cashreport.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

Update cash report

put
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}

The comment field can even be updated on a cashreport with status CLOSED. All other fields can only be set as long as status is not CLOSED.

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
cashreportUidstringRequired

Reference to a cashreport.

Pattern: ^[A-Za-z0-9-_]+
Body
commentstringOptional
bankDepositAmountintegerOptional
bankDepositReferencestringOptional
cashAmountintegerOptional

When till is opened this is the change amount, when closed this is the counted amount.

statusstring · enumOptionalPossible values:
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
put/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 207

{
  "comment": "text",
  "bankDepositAmount": 1,
  "bankDepositReference": "text",
  "cashAmount": 1,
  "status": "OPEN",
  "cashDetails": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}
200

Example response

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

Withdraw or deposit cash at cashdrawer

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals

Withdraw or deposit cash at cashdrawer

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
cashreportUidstringRequired

Reference to a cashreport.

Pattern: ^[A-Za-z0-9-_]+
Body
amountintegerRequired
commentstringRequired
Responses
200

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "amount": 1,
  "comment": "text"
}
200

OK

No content

Register a device on for a till

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device

Register a new device to a till.

Required permissions: TILL

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
deviceIdentifierstringRequired
Responses
200

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "deviceIdentifier": "text"
}
200

OK

No content

Remove a device from a till

delete
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device

Remove a device from a till.

Required permissions: TILL

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringRequired
createdAtstring · date-timeRequired
deviceIdentifierstring · nullableOptionalDeprecated
lastModifiedAtstring · date-timeRequired
lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastOrderNumberstringRequired
namestringRequired
paymentTerminalstring · enumRequiredPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillNumberintegerRequired
delete/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "cashDrawer": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastOrderUid": "text",
  "lastOrderNumber": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillUid": "text",
  "tillNumber": 1,
  "device": {
    "deviceUid": "text",
    "identifier": "text",
    "name": "text"
  }
}

Get till status details by tillUid

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status

Get till status by using token information and storeUid from url

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

Last updated